<?php

namespace App\Filament\Resources\TeacherResource\Pages;

use App\Filament\Resources\TeacherResource;
use Filament\Resources\Pages\ViewRecord;

class ViewTeacher extends ViewRecord
{
    protected static string $resource = TeacherResource::class;

    public function getTitle(): string
    {
        return '教师详情';
    }

    public function getBreadcrumbs(): array
    {
        return [
            '#' => '师生管理',
            static::getResource()::getUrl('index') => '教师管理',
            static::getResource()::getUrl('view', ['record' => $this->record]) => '教师详情',
        ];
    }
}